<div>
  <v-skeleton-loader
    class="mx-auto mt-10"
    width="100%"
    height="200px"
    type="card"
    v-if="loadingTableRecent"
  >
  </v-skeleton-loader>
  <v-simple-table
    v-else
    class="scrollTable c-pointer"
    fixed-header
    style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
  >
    <template v-slot:default>
      <template v-if="listRecent && listRecent.length">
        <thead>
          <tr class="!bg-gray !rounded-t-xl bg-[#F5F7F9]">
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]"></th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div style="width: 190px">
                <p class="!text-[#6E7C87] text-xs">Sellpages</p>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex gap-2 items-center" style="width: 110px">
                <p class="!text-[#6E7C87] text-xs">View Content</p>
                <button
                  v-if="sortViewContent"
                  @click="onSortTableHightToLow('viewContent')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('viewContent')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>

            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 100px">
                <p class="!text-[#6E7C87] text-xs">Add to Cart</p>
                <button
                  v-if="sortAddToCart"
                  @click="onSortTableHightToLow('addToCart')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('addToCart')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 130px">
                <p class="!text-[#6E7C87] text-xs">Initiate Checkout</p>
                <button
                  v-if="sortGoCheckout"
                  @click="onSortTableHightToLow('goCheckout')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('goCheckout')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 130px">
                <p class="!text-[#6E7C87] text-xs">Add Payment Info</p>
                <button
                  v-if="sortCheckOut"
                  @click="onSortTableHightToLow('initiateCheckout')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button
                  v-else
                  @click="onSortTableLowToHigh('initiateCheckout')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>

            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 80px">
                <p class="!text-[#6E7C87] text-xs">Sale</p>
                <button
                  v-if="sortRevenue"
                  @click="onSortTableHightToLow('revenue')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('revenue')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 80px">
                <p class="!text-[#6E7C87] text-xs">Orders</p>
                <button
                  v-if="sortPurchase"
                  @click="onSortTableHightToLow('purchase')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('purchase')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 100px">
                <p class="!text-[#6E7C87] text-xs">Cost</p>
                <button
                  v-if="sortProductCost"
                  @click="onSortTableHightToLow('productCost')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('productCost')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 80px">
                <p class="!text-[#6E7C87] text-xs">% CR</p>
                <button
                  v-if="sortConversionRate"
                  @click="onSortTableHightToLow('conversionRate')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('conversionRate')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item,idx) in listRecent" :key="item + idx">
            <td class="">
              <div class="w-14 h-14">
                <img
                  :src="convertImage(item.imageUrl)"
                  alt=""
                  class="w-full h-full"
                />
              </div>
            </td>
            <td class="">
              <a
                :href="`https://${item.domain}`"
                target="_blank"
                class="text-blue-500 text-sm font-semibold"
              >
                {{item.domain}}
              </a>
              <div class="flex items-center mt-2">
                <v-btn
                  @click="goToViewProduct(item.storeId)"
                  color="#E5E7EB"
                  outlined
                  small
                  class="py-1 px-2 hover:bg-white"
                >
                  <p
                    class="mb-0 text-neutral-800 text-xs font-semibold capitalize"
                  >
                    View
                  </p>
                </v-btn>
                <v-btn
                  @click="goToEditProduct(item.storeId)"
                  color="#E5E7EB"
                  outlined
                  small
                  class="ml-3 py-1 px-2 hover:bg-white"
                >
                  <p
                    class="mb-0 text-neutral-800 text-xs font-semibold capitalize"
                  >
                    Edit
                  </p>
                </v-btn>
              </div>
            </td>
            <td class="">
              {{item.viewContent &&
              $utils.formatCurrency(Math.round(item.viewContent * 100) / 100)}}
            </td>

            <td class="">
              {{item.addToCart &&
              $utils.formatCurrency(Math.round(item.addToCart * 100) / 100)}}
            </td>
            <td class="">
              {{item.goCheckout &&
              $utils.formatCurrency(Math.round(item.goCheckout * 100) / 100)}}
            </td>
            <td class="">
              {{item.initiateCheckout &&
              $utils.formatCurrency(Math.round(item.initiateCheckout * 100) /
              100)}}
            </td>

            <td class="">
              ${{item.revenue && $utils.formatCurrency(Math.round(item.revenue *
              100) / 100)}}
            </td>
            <td class="">
              {{item.purchase && $utils.formatCurrency(Math.round(item.purchase
              * 100) / 100)}}
            </td>
            <td class="">
              ${{item.productCost &&
              $utils.formatCurrency(Math.round(item.productCost * 100) / 100)}}
            </td>
            <td class="">
              {{item.conversionRate &&
              $utils.formatCurrency(Math.round(item.conversionRate * 100) / 100)
              || 0}}%
            </td>
          </tr>
        </tbody>
      </template>
      <template v-else>
        <EmptyData />
      </template>
    </template>
  </v-simple-table>

  <v-row justify="center">
    <v-dialog v-model="dialogPassword" max-width="360">
      <v-card class="pa-0">
        <div
          style="max-width: 384px"
          class="mx-auto pa-4 bg-white rounded-lg ui-card-lock-product"
        >
          <div class="flex justify-center bg-bg-surface rounded-lg pa-5">
            <img
              src="~/assets/images/lock-product.png"
              alt=""
              width="250"
              height="200"
            />
          </div>
          <div class="mt-4">
            <p class="mb-0 text-center text-sm">
              Nếu bạn cần hỗ trợ thì hãy liên hệ với ADMIN qua Telegram
            </p>
          </div>
          <div class="mt-4" id="hideBottomInput">
            <v-text-field
              dense
              outlined
              placeholder="Enter password"
              v-model="password"
              @keyup.enter="onSetPassword"
              :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
              :type="isHidePassword ? 'text' : 'password'"
              @click:append="isHidePassword = !isHidePassword"
            ></v-text-field>
          </div>
          <div class="mt-4 flex justify-center">
            <v-btn
              color="#3B82F6"
              class="elevation-0"
              height="44px"
              @click="onSetPassword()"
            >
              <span class="text-sm font-semibold white--text capitalize">
                Confirm
              </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
